var webpack = require('webpack');
var libraryName = 'pawsqlite-websql-adapter';
var outputFile = libraryName + '.js';

var config = {
  mode: 'development',
  entry: __dirname + '/src/websql_adapter.mjs',
  devtool: 'source-map',
  output: {
    path: __dirname + '/lib',
    filename: outputFile,
    library: libraryName,
    libraryExport: 'default',
    libraryTarget: 'commonjs2',
  }
};

module.exports = config;